LinuxQuestions.org
Visit Jeremy's Blog.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Suse/Novell
User Name
Password
Suse/Novell This Forum is for the discussion of Suse Linux.

Notices

Reply
 
Search this Thread
Old 04-04-2007, 05:26 PM   #1
google01103
Member
 
Registered: May 2006
Distribution: Suse 10.2 x64
Posts: 247

Rep: Reputation: 31
Unable to compile Gnome apps


From what I can tell I have the development libs installed

Get the message:
checking for GTK... configure: error: Package requirements (gtk+-2.0 >= 2.8.0) were not met.
Consider adjusting the PKG_CONFIG_PATH environment

But I have 2.10 installed (both gtk2-2.10.9-16.1 and
gtk2-devel-2.10.9-16.1)

PKG_CONFIG_PATH = /opt/gnome/lib64/pkgconfig:/opt/gnome/share/pkgconfig

ls /opt/gnome/lib64/pkgconfig
gal-2.6.pc gmodule-no-export-2.0.pc gthread-2.0.pc
gdk-2.0.pc gobject-2.0.pc gtk+-2.0.pc
gdk-pixbuf-2.0.pc gstreamer-0.10.pc gtk+-unix-print-2.0.pc
gdk-pixbuf-xlib-2.0.pc gstreamer-base-0.10.pc gtk+-x11-2.0.pc
gdk-x11-2.0.pc gstreamer-check-0.10.pc liboil-0.3.pc
gkrellm.pc gstreamer-controller-0.10.pc librsvg-2.0.pc
glib-2.0.pc gstreamer-dataprotocol-0.10.pc libwnck-1.0.pc
gmodule-2.0.pc gstreamer-net-0.10.pc
gmodule-export-2.0.pc gstreamer-plugins-base-0.10.pc

less /opt/gnome/lib64/pkgconfig/gtk+-2.0.pc =
prefix=/opt/gnome
exec_prefix=${prefix}
libdir=/opt/gnome/lib64
includedir=${prefix}/include
target=x11
gtk_binary_version=2.10.0
gtk_host=x86_64-unknown-linux-gnu
Name: GTK+
Description: GIMP Tool Kit (${target} target)
Version: 2.10.9
Requires: gdk-${target}-2.0 atk cairo
Libs: -L${libdir} -lgtk-${target}-2.0
Cflags: -I${includedir}/gtk-2.0
/opt/gnome/lib64/pkgconfig/gtk+-2.0.pc

thanks,
 
Old 04-05-2007, 08:42 AM   #2
google01103
Member
 
Registered: May 2006
Distribution: Suse 10.2 x64
Posts: 247

Original Poster
Rep: Reputation: 31
fixed

by running "pkg-config gtk+-2.0 --modversion" I found that the problem was that "pango.pc" was not in the $PKG_CONFIG_PATH so I added /usr/lib64/pkgconfig to the path

Last edited by google01103; 04-05-2007 at 11:27 AM.
 
  


Reply

Tags
compile


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Gnome Apps don't work properly on KDE 3.5 & unable to install Tar source on mandriva zouzou85 Mandriva 6 01-14-2007 07:11 AM
cant compile gtk apps bee2643 Linux - General 2 04-13-2006 12:52 PM
Cannot compile SDL apps godice Linux - Software 2 05-22-2005 08:34 AM
running gnome apps without gnome and dependency problems vdemuth Linux - Software 3 03-19-2004 04:02 PM
Menu troubles: apps do not launch; unable to add apps hfinger Mandriva 1 08-22-2003 04:49 AM


All times are GMT -5. The time now is 07:21 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration